﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using OpcLabs.BaseLib.OperationModel;
using OpcLabs.EasyOpc.DataAccess;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public static EasyDAClient clt = new EasyDAClient();
        public static int nItems = 4;
        public static DAItemDescriptor[] items = new DAItemDescriptor[nItems];
        public static ValueResult[] valueResults = new ValueResult[nItems];
        public Form1()
        {
            InitializeComponent();

        }

        private void Form1_Load(object sender, EventArgs e)
        {
           
           
        }

        private void button1_Click(object sender, EventArgs e)
        {
            

            items[0] = new DAItemDescriptor("UN9320.PLC.%R00245");
            items[1] = new DAItemDescriptor("UN9320.PLC.%R00250");
            items[2] = new DAItemDescriptor("UN9320.PLC.%R00255");
            items[3] = new DAItemDescriptor("UN9320.PLC.%R00260");

            valueResults = clt.ReadMultipleItemValues("SWToolbox.TOPServer.V6",
                items);

            for (int i = 0; i < valueResults.Length; i++)
            {
                if (valueResults[i].Succeeded)
                {
                    lvwData.Items.Add("Index= " + i + " " + items[i].ItemId.ToString() + " " + valueResults[i].Value.ToString());
                }
                else
                {
                    lvwData.Items.Add(valueResults[i].Exception.ToString());
                }
            }
            lvwData.Items.Add("------------");
        }
    }
}
